Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportTemplate

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGReportTemplate

    public class BGReportTemplate
    extends java.lang.Object

Для Jasper-отчётов.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static interface` | `BGReportTemplate.ReportFiller` |
  `static class` | `BGReportTemplate.ReportResult` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGReportTemplate()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `fillReportToPdfStream​(java.util.List<net.sf.jasperreports.engine.JasperReport> reports, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)` |
  `static void` | `fillReportToPdfStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)` |
  `static void` | `fillReportToStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, java.io.OutputStream out)` |
  `static void` | `fillReportToStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)` |
  `static void` | `fillReportToXlsStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)` |
  `static net.sf.jasperreports.engine.JasperReport` | `getJasperReport​(java.net.URI uri)` |
  `static net.sf.jasperreports.engine.JasperReport` | `getJasperReport​(java.net.URL url)` |
  `static net.sf.jasperreports.engine.JasperReport` | `getJasperReport​(ParameterMap setup, java.net.URI uri)` |
  `static net.sf.jasperreports.engine.JasperReport` | `getJasperReport​(ParameterMap setup, java.net.URL url)` |
  `static void` | `prepareJasperDesign​(ParameterMap setup, net.sf.jasperreports.engine.design.JasperDesign design)` | Устанавливаем pdfFontEmbedded для отображения русских букв в pdf, если в самом отчете не было установлено

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportTemplate

    public BGReportTemplate()

- ## Method Details

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport​(java.net.URL url)

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport​(java.net.URI uri)

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport​(ParameterMap setup, java.net.URI uri)

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport​(ParameterMap setup, java.net.URL url)

  - ### prepareJasperDesign

    public static void prepareJasperDesign​(ParameterMap setup, net.sf.jasperreports.engine.design.JasperDesign design)
    Устанавливаем pdfFontEmbedded для отображения русских букв в pdf, если в самом отчете не было установлено
    Parameters:
      `setup` -
      `design` -

  - ### fillReportToStream

    public static void fillReportToStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out) throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### fillReportToPdfStream

    public static void fillReportToPdfStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)

  - ### fillReportToXlsStream

    public static void fillReportToXlsStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)

  - ### fillReportToPdfStream

    public static void fillReportToPdfStream​(java.util.List<net.sf.jasperreports.engine.JasperReport> reports, BGReportFilter filter, java.sql.Connection con, org.w3c.dom.Document doc, java.io.OutputStream out)

  - ### fillReportToStream

    public static void fillReportToStream​(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, java.sql.Connection con, java.io.OutputStream out) throws java.lang.Exception
    Throws:
      `java.lang.Exception`